<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('wfh_floated_timelogs', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('employee_id')->nullable()->index();
            $table->string('time_keeping_id')->index();
            $table->string('in_out')->nullable();
            $table->dateTime('datetimelog')->index();
            $table->string('ip_address')->nullable();
            $table->string('latitude')->nullable();
            $table->string('longitude')->nullable();
            $table->string('sync_id')->nullable();
            $table->dateTime('sync_at')->nullable();
            $table->text('image')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('wfh_floated_timelogs');
    }
};
